TOPDIR="/root"
APPS="shc-210"
UPDATE_APPS="shc_update"
UPGRADE_FILE="upgrade.tar.gz"

export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/root/lib:/root/libs

#ifconfig eth0 192.168.0.5;mount -t nfs -o nolock 192.168.0.3:/home/stm281/nfs /root/nfs


#========================================================================
# Functions
#========================================================================

status() {
    if [ $1 -eq 0 ]
    then
        echo "[SUCCESS]"
    else
        echo "[FAILED]"
    fi
}

# checkUpdate() {
# }

checkApplication() {
    if [ ! -x $1 ]
    then
        echo "Wrong ${APPS} ... "
        return 127
    fi
}


start() {
    cd ${TOPDIR}
    checkApplication ${UPDATE_APPS}
    ${TOPDIR}/${UPDATE_APPS}
    RET=`echo $?`
    if [ ${RET} -eq 0 ]
    then
        return ${RET}
    fi 
    checkApplication ${APPS}
    RET=`echo $?`           
    if [ ! ${RET} -eq 0 ]   
    then                    
        echo "Could not execute ${APPS} ... "
        echo "check ${APPS} ..."
        exit ${RET}         
    fi       
    echo "Start Application - ${APPS} ... "
    ${TOPDIR}/${APPS}
    RET=`echo $?`    
    return ${RET}
}

stop() {
    echo "STop Application - ${APPS} ... "
    killall ${APPS}
}

upgrade() {
    if [ $1 -eq 0 ]
    then
        if [ ! -f ${TOPDIR}/${UPGRADE_FILE} ]
        then
            echo "no exist ${TOPDIR}/${UPGRADE_FILE}"
            exit 5
        fi
        echo "׷̵ ..." >> /proc/lcd/lcd3
        tar zxvpf ${UPGRADE_FILE} -C ${TOPDIR}
        RET=`echo $?`
        echo "Upgrade Complete"
        echo "׷̵ Ϸ " >> /proc/lcd/lcd3
        echo "Remove ${TOPDIR}/${UPGRADE_FILE}..."
        rm -rf ${TOPDIR}/${UPGRADE_FILE}
        sleep 1
        echo "մϴ. " >> /proc/lcd/lcd3
        sleep 1
        reboot
    fi
}
#========================================================================





#------------------------------------------------------------------------
# Check Update
#chkecUpdate


#------------------------------------------------------------------------
# Check Update
checkApplication

#------------------------------------------------------------------------
# Execute Application
case "$1" in
    start)
        start
        RET=`echo $?`
        upgrade ${RET}
        ;;
    stop)
        stop
        ;;
    restart|reload)
        ;;
    *)
        echo "Usage: $0 {start|stop|reload|restart}"
        exit 1
esac

exit $?
